hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Naganarasimha G R (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (YARN-3623) We should have a config to indicate the Timeline Service version
Date Fri, 20 Nov 2015 18:40:11 GMT

    [ https://issues.apache.org/jira/browse/YARN-3623?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15018486#comment-15018486
] 

Naganarasimha G R commented on YARN-3623:
-----------------------------------------

This would be good [~vinodkv], 
but was under the impression that timeline service version is not required for versions before
ATS 1.5 and this would be introduced in YARN-4234 (as part of ATS 1.5) and the required modifications
where ever applicable in ATSv2 would be handled in this jira (earlier ATS subjira). Ok anyway
can create another subjira in 2928 to handle usage of this newly introduced version.

> We should have a config to indicate the Timeline Service version
> ----------------------------------------------------------------
>
>                 Key: YARN-3623
>                 URL: https://issues.apache.org/jira/browse/YARN-3623
>             Project: Hadoop YARN
>          Issue Type: Bug
>          Components: timelineserver
>            Reporter: Zhijie Shen
>            Assignee: Naganarasimha G R
>         Attachments: YARN-3623-2015-11-19.1.patch
>
>
> So far RM, MR AM, DA AM added/changed new config to enable the feature to write the timeline
data to v2 server. It's good to have a YARN timeline-service.version config like timeline-service.enable
to indicate the version of the running timeline service with the given YARN cluster. It's
beneficial for users to more smoothly move from v1 to v2, as they don't need to change the
existing config, but switch this config from v1 to v2. And each framework doesn't need to
have their own v1/v2 config.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message